Package org.apache.sysds.runtime.util

# Class IndexRange

java.lang.Object
org.apache.sysds.runtime.util.IndexRange

All Implemented Interfaces:
  `Serializable`

public class IndexRange extends Object implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`colEnd`
`long`
`colStart`
`long`
`rowEnd`
`long`
`rowStart`

## Constructor Summary

Constructors
Constructor
Description
`IndexRange(long rs, long re, long cs, long ce)`

## Method Summary

Modifier and Type
Method
Description
`IndexRange`
`add(int delta)`
`IndexRange`
`add(long rowDelta, long colDelta)`
`long`
`colSpan()`
`boolean`
`inColRange(long col)`
`boolean`
`inRowRange(long row)`
`static IndexRange`
`intersect(IndexRange a, IndexRange b)`
`boolean`
`isScalar()`
`boolean`
`isWithin(long row, long col)`
`long`
`rowSpan()`
`void`
`set(long rs, long re, long cs, long ce)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### rowStart

public long rowStart

### rowEnd

public long rowEnd

### colStart

public long colStart

### colEnd

public long colEnd

## Constructor Details

### IndexRange

public IndexRange(long rs, long re, long cs, long ce)

## Method Details

### intersect

public static IndexRange intersect(IndexRange a, IndexRange b)

### set

public void set(long rs, long re, long cs, long ce)

### isScalar

public boolean isScalar()

### add

public IndexRange add(int delta)

### add

public IndexRange add(long rowDelta, long colDelta)

### inColRange

public boolean inColRange(long col)

### inRowRange

public boolean inRowRange(long row)

### colSpan

public long colSpan()

### rowSpan

public long rowSpan()

### isWithin

public boolean isWithin(long row, long col)

### toString

public String toString()

Overrides:
  `toString` in class `Object`